Page 1 of 2 12 LastLast
Results 1 to 20 of 40

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: If you PC user's need a custom 3.1 ipsw for the 3G

  1. #1
    Green Apple iPhone3g210's Avatar
    Join Date
    Jul 2009
    Location
    San Antonio, TX
    Posts
    48
    Thanks
    0
    Thanked 9 Times in 8 Posts

    Default If you PC user's need a custom 3.1 ipsw for the 3G
    If you PC user's need a custom 3.1 ipsw with ultrasn0w already installed for the 3G preserving the baseband
    Last edited by Broomhead; 2009-09-23 at 02:00 AM.

  2. The Following User Says Thank You to iPhone3g210 For This Useful Post:

    dboone21 (2009-09-19)

  3. #2
    iPhoneaholic REAPERDAGREAT13's Avatar
    Join Date
    Nov 2008
    Location
    N.E.L.A.S & Barcelona
    Posts
    343
    Thanks
    2
    Thanked 75 Times in 49 Posts

    Already messaged u
    If My Replys Helped You Out In Any Way
    Dont Forget To Hit The "THANKS" Button

  4. #3
    Livin the iPhone Life Simtech's Avatar
    Join Date
    Aug 2007
    Location
    LA
    Posts
    2,387
    Thanks
    105
    Thanked 304 Times in 276 Posts

    How many threads do you need?

  5. #4
    Green Apple iPhone3g210's Avatar
    Join Date
    Jul 2009
    Location
    San Antonio, TX
    Posts
    48
    Thanks
    0
    Thanked 9 Times in 8 Posts

    Sorry tryin to helpout the people that have to waite..

  6. #5
    ^^ ha said to PM him....

  7. #6
    Does it actually work like that?

  8. #7
    yes, it will work

  9. #8
    I get error every time i download someone elses custom firm

  10. #9
    error when downloading or when trying to install it on your iPhone?

  11. #10
    when i shift restore in itunes. i remember a few months back the firmware 3.0 ppl reported that it didnt work too.

  12. #11
    Are you getting your iPhone into DFU mode? you'll need to do that

  13. #12
    Yes, im not a noob at this btw. (even tho this is my first post on mmi)

    so did you try it ur self and did it work? can anyone confirm.

  14. #13
    OK Sry... you listed your operating system as a MAC why aren't you using that?

  15. #14
    sry for the confusion. I have both, I actually made a custom restore file with my mac. I brought it to a friends house but it wouldn't restore. put it in DFU and everything, same as how i jailbroke mine on a mac.

  16. #15
    Green Apple iPhone3g210's Avatar
    Join Date
    Jul 2009
    Location
    San Antonio, TX
    Posts
    48
    Thanks
    0
    Thanked 9 Times in 8 Posts

    what itunes are u running!
    if your running itunes 9.0 of course your gonna get errors, I have had many downloads are seems like your the only one with the errors..
    and has your phone been pwned "jailbroken" before..If not make sure your in dfu mode...

  17. #16
    if your phone was allready pwned you shouldn't put in DFU mode.
    He who asks a question looks foolish for 5 minutes. He who doesn't ask a question remains foolish forever.

  18. #17
    Default To summarize...
    OK, so putting together a couple different things from this thread:

    1. This file is for Windows-only users who can't use Pwnage and who have NOT updated to the standard 3.1
    2. The file does work and includes a custom firmware with 3.0 baseband, jailbreak, and unlock.
    3. It won't install correctly with iTunes 9 (really? wonder why...). You should use iTunes 8.2.1.


    I had some trouble downgrading and keeping my library and apps settings. It finally worked when I followed the instructions in the following link (but to keep my app data I DID NOT remove the 'Apple Computer' or 'Apple' hidden directories. Apple Support - Downgrading iTunes to version 8 (see the post by wranglerspace posted Sep 15, 2009 5:29 PM). I also didn't have to re-import my library. As listed in other places, you can usually find a backup of your library data in My Music - iTunes - Previous iTunes Libraries. So after uninstalling the apps and rebooting, I moved the files iTunes Library Extras.itdb, iTunes Library Genius.itdb, and iTunes Library.itl to a new directory and copied iTunes Library 2009-09-09.itl from the Previous iTunes Libraries directory to the My Music - iTunes directory and renamed it to iTunes Library.itl. I then installed iTunes 8.2.0 and when it loaded it had my library and apps intact.

    This won't help people who updated to 3.1 through Apple as that updated the baseband. All subsequent installs, including this file, will not downgrade the baseband and may fail for 1015 with an error in the iPhoneUpdater xy.log file like this:
    Code:
    Version ICE2-04.26.08 is available, ICE2-05.11.07 is already loaded
    Deciding whether to update or not...
    	- Available version is older
    
    !!! Exception at :0:
    	- BBUReturnBadArgument(5)/15: Cannot perform an automatic update to a previous version
    FYI - my experience is that I successfully restored using iTunes 8.2.0.23 and the image provided to iPhone ipsw 3.1. I'll post again when I can determine the baseband, but after reviewing the Updater Log, I don't believe it even messed with the baseband. Still checking...

    Please correct and/or elaborate if anyone has anymore information.

    Thanks,
    Skip
    Last edited by skip_l; 2009-09-17 at 08:54 PM. Reason: Correct some information given new experiences.

  19. #18
    Green Apple iPhone3g210's Avatar
    Join Date
    Jul 2009
    Location
    San Antonio, TX
    Posts
    48
    Thanks
    0
    Thanked 9 Times in 8 Posts

    Thanks...
    And iTunes 8.2.1 has to be used.. If you are using iTunes 9 you will have to uninstall and install iTunes 8.2.1

  20. #19
    Default Woohoo! 90% there...
    More good news!

    I just used Cydia to install Fuzzyband Downgrader 3.1gm which successfully downgraded my baseband from ICE2-05.11.07 to 04.26.08! (Sorry, didn't remember to grab the winning screenshot, but loading Fuzzyband again shows the results).



    FYI - I am apparently a very fortunate soul with bootloader 5.08 [G2M3S2].

    Now I'm off to try ultrasn0w for the hat trick...

    Oh, but the money shot looked something like this with OS 3.1 and baseband 05.11.07 (it still reported the old baseband version until I exited the app) (picture linked from gadgetlite.com)


    YES!

    Turns out ultrasn0w was already installed with the image and after a trip to the settings to fix up the APN I can now get data over edge and see full bars with my T-Mobile SIM!

    Happy, glorious day!

    Current setup: iTunes 8.2.0, IPSW 3.1, Bootloader 5.08, Baseband 4.26.08

    I might try updating to iTunes 9 again in the next little while. I did love being able to manage my apps from within iTunes - way more convenient as I approach 300 apps...
    Last edited by skip_l; 2009-09-18 at 12:28 AM. Reason: Automerged Doublepost

  21. #20
    Very, very few people have BL 5.8 so this is useless for the vast majority of people.
    Those that have 5.8 are very lucky and probably already know it!
    He who asks a question looks foolish for 5 minutes. He who doesn't ask a question remains foolish forever.

Page 1 of 2 12 LastLast
Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •